Page MenuHomeFreeBSD

New port: comms/redsea: Lightweight CLI FM-RDS decoder
ClosedPublic

Authored by kai on Feb 12 2019, 4:05 PM.

Details

Summary

PR 234726

Description:

redsea is a lightweight command-line decoder for broadcast FM-RDS data,
such as that provided from a software-defined radio (SDR). It can also
decode raw ASCII bitstreams, the hex format provided by RDS Spy, and audio
files containing multiplex signals. Decoded RDS groups are printed to the
terminal as line-delimited JSON objects; optionally, undecoded hex blocks
can be output instead.

This program is intended to be used in combination with a separate source
of demodulated FM multiplex signals, such as rtl-sdr.

WWW: https://github.com/windytan/redsea/

Test Plan
  • poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENT@r342772 amd64 + i386) -> OK
  • portlint -> OK
  • Runtime tests: so far OK (but I'm not able to test it thoroughly due the lack of a R

ealtek 2832U card/stick).

I did some minor changes:

  • fix whitespaces
  • convert "autoreconf --install ${WRKSRC}" to "@cd ${WRKSRC} && ${AUTORECONF} -i"
  • merged pkg-plist into PLIST_FILES
  • sorted USES and OPTIONS alphabetically
  • removed GH_PROJECT

Notes/Questions from my side:

  • Submmitter's email address is different from the Makefile. AFAIK the maintainer addr

ess must be the same as the Bugzilla address?

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai created this revision.Feb 12 2019, 4:05 PM
miwi added a comment.Feb 13 2019, 3:30 AM

Please check with the submitter about the mail address and adjust as pre respond.

kai updated this revision to Diff 53909.Feb 14 2019, 8:44 AM

Changed maintainer address to match with the one of submitter's Bugzilla account.

miwi accepted this revision.Feb 19 2019, 1:46 PM

LGTM

This revision is now accepted and ready to land.Feb 19 2019, 1:46 PM
This revision was automatically updated to reflect the committed changes.
mat added a subscriber: mat.Feb 21 2019, 9:59 AM
mat added inline comments.
head/comms/redsea/Makefile
27

As TMC is already the name of the option, I think the description would be better as:

​TMC_DESC= traffic messages support (may slow building)

(It would even be better if the description actually described what it does, because unless one already knows what traffic message is, it does not mean much.)

kai added inline comments.Feb 21 2019, 10:39 AM
head/comms/redsea/Makefile
27

Thank you for the suggestion. I did some research to improve the description. Would this one be apt?

TMC_DESC= Decoding support for Traffic Message Channel (traffic and travel info, may slow building)

Do I need to create a new review with that change or would it be sufficient if one of my mentors approve the change here?

tcberner added inline comments.Feb 21 2019, 12:18 PM
head/comms/redsea/Makefile
27

I'd say we'll manage without anothe review :)

kai added inline comments.Feb 21 2019, 9:04 PM
head/comms/redsea/Makefile
27

Thanks, done in rP493521.